/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TypographyDirective } from "./typography.directive";
/**
 * Use this utility array to access all `@progress/kendo-angular-typography`-related components and directives in a standalone Angular component.
 *
 * @example
 * ```typescript
 * import { Component } from '@angular/core';
 * import { KENDO_TYPOGRAPHY } from '@progress/kendo-angular-typography';
 *
 * @Component({
 *   selector: 'my-app',
 *   standalone: true,
 *   imports: [KENDO_TYPOGRAPHY],
 *   template: `<div kendoTypography variant="k-h1"></div>`
 * })
 * export class AppComponent {}
 * ```
 */
export declare const KENDO_TYPOGRAPHY: readonly [typeof TypographyDirective];
