/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Sets the font size.
 * You can use these values:
 * * `xs`
 * * `sm`
 * * `md`
 * * `lg`
 * * `xl`
 *
 * The matching styles for the Default Kendo theme are:
 * * `xs`&mdash;font-size: 10px
 * * `sm`&mdash;font-size: 12px
 * * `md`&mdash;font-size: 16px
 * * `lg`&mdash;font-size: 18px
 * * `xl`&mdash;font-size: 20px
 *
 * The matching styles for the Bootstrap Kendo theme are:
 * * `xs`&mdash;font-size: 0.75rem
 * * `sm`&mdash;font-size: 0.875rem
 * * `md`&mdash;font-size: 1rem
 * * `lg`&mdash;font-size: 1.25rem
 * * `xl`&mdash;font-size: 1.5rem
 *
 * The matching styles for the Material Kendo theme are:
 * * `xs`&mdash;font-size: 10px
 * * `sm`&mdash;font-size: 12px
 * * `md`&mdash;font-size: 14px
 * * `lg`&mdash;font-size: 16px
 * * `xl`&mdash;font-size: 20px
 */
export type TypographyFontSize = 'xs' | 'sm' | 'md' | 'lg' | 'xl';
/**
 * @hidden
 */
export declare const typographyFontSizeOptions: {
    xs: string;
    sm: string;
    md: string;
    lg: string;
    xl: string;
};
