/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Sets the font weight.
 *
 * You can use these values:
 * * `light`&mdash;font-weight: 300
 * * `normal`&mdash;font-weight: 400
 * * `bold`&mdash;font-weight: 700 (for Default and Bootstrap themes); font-weight: 500 (for Material theme)
 */
export type TypographyFontWeight = 'light' | 'normal' | 'bold';
/**
 * @hidden
 */
export declare const typographyFontWeightOptions: {
    light: string;
    normal: string;
    bold: string;
};
