/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Applies the available Kendo theme class to the element.
 * You can use these values:
 * * `p`
 * * `h1`
 * * `h2`
 * * `h3`
 * * `h4`
 * * `h5`
 * * `h6`
 * * `code`
 * * `pre`
 *
 * The matching Kendo theme classes are:
 * * `p`&mdash;`k-paragraph`
 * * `h1`&mdash;`k-h1`
 * * `h2`&mdash;`k-h2`
 * * `h3`&mdash;`k-h3`
 * * `h4`&mdash;`k-h4`
 * * `h5`&mdash;`k-h5`
 * * `h6`&mdash;`k-h6`
 * * `code`&mdash;`k-code`
 * * `pre`&mdash;`k-pre`
 */
export type TypographyVariant = 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6' | 'code' | 'pre';
/**
 * @hidden
 */
export declare const typographyVariantOptions: {
    p: string;
    h1: string;
    h2: string;
    h3: string;
    h4: string;
    h5: string;
    h6: string;
    code: string;
    pre: string;
};
