/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./typography.directive";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Typography component.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the Typography module
 * import { TypographyModule } from '@progress/kendo-angular-typography';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, TypographyModule], // import Typography module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule { }
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class TypographyModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TypographyModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TypographyModule, never, [typeof i1.TypographyDirective], [typeof i1.TypographyDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TypographyModule>;
}
